import { NgModule } from '@angular/core';
import { SharedModule } from '@shared/shared.module';
import { GisShowComponent } from './gis-show/gis-show.component';
import { RouterModule, Routes } from '@angular/router';
import { CommonModule } from '@angular/common';
import { PipeModule } from '@business/pipe/pipe.module';
import { EnterpriseDataComponent } from './enterprise-data/enterprise-data.component';
import { StandardAlarmComponent } from './standard-alarm/standard-alarm.component';
import { NzTreeModule } from 'ng-tree-antd';
import { NgxEchartsModule } from 'ngx-echarts';
import { SensorsService } from '@business/services/http/sensors.service';
import { NzMessageService } from 'ng-zorro-antd';
import { AreacodeService } from '@business/services/http/areacode.service';
import { MonitorPointService } from '@business/services/http/monitor-point.service';
import { DeviceService } from '@business/services/http/device.service';
import { DateService } from '@business/services/util/date.service';


const routes: Routes = [
  {
    path: '',
    children: [
      { path: 'gis-show', component: GisShowComponent },
      { path: 'enterprise-data', component: EnterpriseDataComponent },
      { path: 'standard-alarm', component: StandardAlarmComponent }
    ]
  }
];
const COMPONENT_NOROUNT = [];

@NgModule({
  imports: [
    // 管道模块必须当前模块导入
    PipeModule,
    NzTreeModule,
    NgxEchartsModule,
    CommonModule,
    SharedModule,
    RouterModule.forChild(routes)
  ],
  declarations: [
      ...COMPONENT_NOROUNT,
      EnterpriseDataComponent,
      StandardAlarmComponent,
      GisShowComponent
  ],
  entryComponents: COMPONENT_NOROUNT,
  providers: [SensorsService, NzMessageService, AreacodeService,
    MonitorPointService, DeviceService, DateService],
})
export class EnterpriseManagementModule { }
